Bug 429234 - Review Request: java-1.6.0-ibm - IBM Java 6 SDK
Review Request: java-1.6.0-ibm - IBM Java 6 SDK
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Lillian Angel
:
Depends On:
Blocks: 188273 253204
  Show dependency treegraph
 
Reported: 2008-01-17 22:55 EST by Thomas Fitzsimmons
Modified: 2009-05-07 11:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 10:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Lillian Angel 2008-01-17 23:45:51 EST
I tried building it in mock and locally, and it failed (i386):

...
make[2]: Entering directory `/builddir/build/BUILD/ibm-java-i386-60/java-access-bridge-
1.6.0/idlgen'/builddir/build/BUILD/ibm-java-i386-60/java-access-bridge-1.6.0/../bin/idlj \                
-pkgPrefix Bonobo org.GNOME \                -pkgPrefix Accessibility org.GNOME \                -emitAll -i 
/usr/share/idl/bonobo-activation-2.0 -i /usr/share/idl/at-spi-1.0 -i /usr/share/idl/bonobo-2.0 \                
-fallTie /usr/share/idl/at-spi-1.0/Accessibility.idl/usr/share/idl/at-spi-
1.0/Accessibility_Collection.idl (line 29):  Accessibility/AccessibleSetEntry/accessible cannot be 
declared because a type of the same name has already been introduced into this scope.
         Accessible accessible;
                    ^
/usr/share/idl/at-spi-1.0/Accessibility_Collection.idl (line 31):  Accessibility/AccessibleSetEntry/role 
cannot be declared because a type of the same name has already been introduced into this scope.
         Role       role;
                    ^
/usr/share/idl/at-spi-1.0/Accessibility_Collection.idl (line 63):  WARNING: Identifier `object' collides 
with a keyword; use an escaped identifier to ensure future compatibility.
        boolean isAncestorOf (in Accessible object);
                                     ^
make[2]: *** [org/GNOME/Accessibility/Accessible.java] Error 2
make[2]: Leaving directory `/builddir/build/BUILD/ibm-java-i386-60/java-access-bridge-
1.6.0/idlgen'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/ibm-java-i386-60/java-access-bridge-
1.6.0/idlgen'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.83457 (%build)

Comment 2 Lillian Angel 2008-01-18 10:04:35 EST
My mistake, I tried building with the Fedora packages. I will do the review now.
Comment 3 Lillian Angel 2008-01-18 10:26:30 EST
Packaging Guidelines
--------------------

   1. Naming
	The name includes the JDK major version, 1.6.0. Including the version 
	in the package name is against the guidelines. But in
	this case it's OK. This follows the convention used by other RHEL-packaged
	JDKs.
   2. Legal
         1. Licensing
	 	We have an agreement with IBM that allows us to ship this.
         2. Shareware
         3. Patents
         4. Emulators
         5. Binary Firmware
   3. No inclusion of pre-built binaries or libraries
	The proprietary JDKs are pre-built- that's how we receive them
	from the vendors.
   4. Writing a package from scratch
   5. Modifying an existing package
   6. Filesystem Layout
         1. Libexecdir
   7. Use rpmlint
         1. Rpmlint Errors
	 
	 See below.

   8. Changelogs
	ok.

   9. Tags
  10. BuildRoot tag
         1. Prepping BuildRoot For %install
	Done.	

  11. Requires
         1. PreReq
         2. File Dependencies
  12. BuildRequires
         1. rpmdev-rmdevelrpms
         2. Exceptions
  13. Summary and description
	Fine.

  14. Encoding
         1. Non-ASCII Filenames
  15. Documentation
  16. Compiler flags
  17. Debuginfo packages
  18. Exclusion of Static Libraries
         1. Packaging Static Libraries
         2. Staticly Linking Executables
               1. Programs which don't need to notify FESCo
  19. Duplication of system libraries
  20. Beware of Rpath
         1. Removing Rpath
  21. Configuration files
  22. Init Scripts
  23. Desktop files
         1. Icon tag in Desktop Files
         2. .desktop file creation
         3. desktop-file-install usage
  24. Macros
         1. Using %{buildroot} and %{optflags} vs $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
         2. Why the %makeinstall macro should not be used
  25. Handling Locale Files
         1. Why do we need to use %find_lang?
  26. Timestamps
  27. Parallel make
  28. Scriptlets requirements
  29. Running scriptlets only in certain situations
  30. Scriplets are only allowed to write in certain directories
  31. Conditional dependencies
  32. Build packages with separate user accounts
  33. Relocatable packages
  34. Code Vs Content
  35. File and Directory Ownership
  36. Users and Groups
  37. Web Applications
  38. Conflicts
  39. No External Kernel Modules

  ok.

-------------------------
- MUST: The package must be named according to the Package Naming Guidelines.
ok.

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
ok.

- MUST: The package must meet the Packaging Guidelines.
ok.

- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.
N/A

- MUST: The License field in the package spec file must match the actual license.
ok.

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
ok.

- MUST: The spec file must be written in American English.
ok.

- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
ok.

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
built on i586.

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. 
Done.

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
ok.

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
None.

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
An example of the correct syntax for this is: 
None.

- MUST: A package must not contain any duplicate files in the %files listing.
ok.

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
Yes.

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
Yes.

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
ok.

- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
ok.

- MUST: Large documentation files should go in a -doc subpackage.
N/A

- MUST: Header files must be in a -devel package.
ok. Demo headers in -demo, devel headers in -devel.

- MUST: Static libraries must be in a -static package.
N/A

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
N/A

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
N/A

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
ok.

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. 
Some do this, it is ok.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). 
Done.

- MUST: All filenames in rpm packages must be valid UTF-8.
ok.

- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
ok

- SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.
N/A

- SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.
Not done.

- SHOULD: The package should compile and build into binary rpms on all supported
architectures.
works on i386.

- SHOULD: The reviewer should test that the package functions as described. 
works.

- SHOULD: If scriptlets are used, those scriptlets must be sane.
ok.

- SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency.
ok

- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg.
N/A

- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. 
ok.

RPMLINT
-------

java-1.6.0-ibm.i386: W: no-documentation
java-1.6.0-ibm.i386: W: dangling-symlink
/usr/lib/jvm-exports/java-1.6.0-ibm-1.6.0.6/jdbc-stdext-1.6.0.6.jar
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/server.jar
java-1.6.0-ibm.i386: W: symlink-should-be-relative
/usr/lib/jvm-exports/java-1.6.0-ibm-1.6.0.6/jdbc-stdext-1.6.0.6.jar
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/server.jar
java-1.6.0-ibm.i386: W: unstripped-binary-or-object
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/bin/ikeycmd
java-1.6.0-ibm.i386: E: binary-or-shlib-defines-rpath
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/bin/ikeycmd ['$ORIGIN/../lib/i386/jli',
'$ORIGIN/../jre/lib/i386/jli', '$ORIGIN/../lib/i386', '$ORIGIN/../jre/lib/i386']
java-1.6.0-ibm.i386: W: unstripped-binary-or-object
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/bin/classic/libjvm.so
java-1.6.0-ibm.i386: E: binary-or-shlib-defines-rpath
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/bin/classic/libjvm.so ['$ORIGIN/']
java-1.6.0-ibm.i386: E: file-in-usr-marked-as-conffile
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/security/cacerts
java-1.6.0-ibm.i386: W: class-path-in-manifest
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/ibmcfw.jar
java-1.6.0-ibm.i386: W: uncompressed-zip
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/ibmcertpathprovider.jar
*All ok.
java-1.6.0-ibm.i386: W: dangerous-command-in-%post rm
*Check this.


java-1.6.0-ibm-accessibility.i386: W: no-documentation
java-1.6.0-ibm-accessibility.i386: W: invalid-license IBM Binary Code License
java-1.6.0-ibm-accessibility.i386: E: only-non-binary-in-usr-lib
*All ok.

java-1.6.0-ibm-demo.i386: W: no-documentation
java-1.6.0-ibm-demo.i386: W: devel-file-in-non-devel-package
/usr/share/java-1.6.0-ibm/demo/jvmti/hprof/src/hprof_ioname.h
java-1.6.0-ibm-demo.i386: W: devel-file-in-non-devel-package
/usr/share/java-1.6.0-ibm/demo/jvmti/waiters/src/Monitor.hpp
java-1.6.0-ibm-demo.i386: W: devel-file-in-non-devel-package
/usr/share/java-1.6.0-ibm/demo/jvmti/hprof/src/hprof_monitor.h
java-1.6.0-ibm-demo.i386: W: devel-file-in-non-devel-package
/usr/share/java-1.6.0-ibm/demo/jvmti/hprof/src/hprof_monitor.c
java-1.6.0-ibm-demo.i386: E: arch-dependent-file-in-usr-share
/usr/share/java-1.6.0-ibm/demo/jvmti/gctest/lib/libgctest.so
java-1.6.0-ibm-demo.i386: W: unstripped-binary-or-object
/usr/share/java-1.6.0-ibm/demo/jvmti/gctest/lib/libgctest.so
java-1.6.0-ibm-demo.i386: E: invalid-soname
/usr/share/java-1.6.0-ibm/demo/jvmti/gctest/lib/libgctest.so libgctest.so
java-1.6.0-ibm-demo.i386: E: binary-or-shlib-defines-rpath
/usr/share/java-1.6.0-ibm/demo/jvmti/gctest/lib/libgctest.so ['$ORIGIN']
*All ok.

java-1.6.0-ibm-devel.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/java-1.6.0-ibm-devel-1.6.0.6/launchpad/de/log.properties
java-1.6.0-ibm-devel.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/java-1.6.0-ibm-devel-1.6.0.6/launchpad/content/de/userguides.properties
java-1.6.0-ibm-devel.i386: W: wrong-file-end-of-line-encoding
/usr/share/doc/java-1.6.0-ibm-devel-1.6.0.6/launchpad/en/log.properties
java-1.6.0-ibm-devel.i386: W: non-standard-group Development/Compilers
java-1.6.0-ibm-devel.i386: W: invalid-license IBM Binary Code License
java-1.6.0-ibm-devel.i386: W: unstripped-binary-or-object
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/lib/libLinuxSerialParallel.so
java-1.6.0-ibm-devel.i386: W: no-soname
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/lib/libLinuxSerialParallel.so
java-1.6.0-ibm-devel.i386: W: unstripped-binary-or-object
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/bin/xjc
java-1.6.0-ibm-devel.i386: E: binary-or-shlib-defines-rpath
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/bin/xjc ['$ORIGIN/../lib/i386/jli',
'$ORIGIN/../jre/lib/i386/jli', '$ORIGIN/../lib/i386', '$ORIGIN/../jre/lib/i386']
java-1.6.0-ibm-devel.i386: W: class-path-in-manifest
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/lib/tools.jar
java-1.6.0-ibm-devel.i386: W: class-path-in-manifest
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/lib/ibmorbtools.jar
*All ok.

java-1.6.0-ibm-javacomm.i386: W: no-documentation
java-1.6.0-ibm-javacomm.i386: W: invalid-license IBM Binary Code License
*All ok.

java-1.6.0-ibm-jdbc.i386: W: no-documentation
java-1.6.0-ibm-jdbc.i386: W: non-standard-group Development/Libraries/Java
java-1.6.0-ibm-jdbc.i386: W: invalid-license IBM Binary Code License
java-1.6.0-ibm-jdbc.i386: W: unstripped-binary-or-object
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/i386/libJdbcOdbc.so
java-1.6.0-ibm-jdbc.i386: E: binary-or-shlib-defines-rpath
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/i386/libJdbcOdbc.so ['$ORIGIN']
*All ok.

java-1.6.0-ibm-plugin.i386: W: no-documentation
java-1.6.0-ibm-plugin.i386: W: non-standard-group Internet/WWW/Browsers
java-1.6.0-ibm-plugin.i386: W: invalid-license IBM Binary Code License
java-1.6.0-ibm-plugin.i386: W: unstripped-binary-or-object
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/i386/libjavaplugin_nscp.so
java-1.6.0-ibm-plugin.i386: W: file-not-in-%lang
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/locale/de/LC_MESSAGES/sunw_java_plugin.mo
java-1.6.0-ibm-plugin.i386: W: uncompressed-zip
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/jre/lib/plugin.jar
java-1.6.0-ibm-plugin.i386: E: invalid-desktopfile
/usr/share/applications/java-1.6.0-ibm-javaws.desktop
*All ok.

java-1.6.0-ibm-src.i386: W: no-documentation
java-1.6.0-ibm-src.i386: E: compressed-symlink-with-wrong-ext
/usr/lib/jvm/java-1.6.0-ibm-1.6.0.6/src.jar src.zip
java-1.6.0-ibm-src.i386: W: non-standard-group Development/Interpreters
java-1.6.0-ibm-src.i386: W: invalid-license IBM Binary Code License
*All ok.
Comment 4 Lillian Angel 2008-01-18 10:27:12 EST
Everything looks ok.

APPROVED.

Note You need to log in before you can comment on or make changes to this bug.